Bug 641727 (mingw32-libffi) - Review Request: mingw32-libffi: portable foreign function interface library for Fedora MinGW
Summary: Review Request: mingw32-libffi: portable foreign function interface library f...
Keywords:
Status: CLOSED ERRATA
Alias: mingw32-libffi
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 702699 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-10 18:17 UTC by Paolo Bonzini
Modified: 2011-05-06 19:21 UTC (History)
6 users (show)

Fixed In Version: mingw32-libffi-3.0.9-1.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-10-22 18:08:27 UTC
erik-fedora: fedora-review+
tcallawa: fedora-cvs+


Attachments (Terms of Use)

Description Paolo Bonzini 2010-10-10 18:17:30 UTC
Spec & SRPMS URLs:

http://smalltalk.gnu.org/files/mingw32-libffi-3.0.9-1.fc13.src.rpm
http://smalltalk.gnu.org/files/mingw32-libffi.spec

Based on the native package libffi-3.0.9-1.

rpmlint clean, koji scratch build will come.

I tested it using GNU Smalltalk, the relevant tests in the test suite all pass.

Comment 1 Paolo Bonzini 2010-10-10 18:18:45 UTC
Didn't mean to make it private.

Comment 3 Erik van Pienbroek 2010-10-11 16:58:37 UTC
$ rpmlint mingw32-libffi.spec 
mingw32-libffi.spec:18: W: mixed-use-of-spaces-and-tabs (spaces: line 18, tab: line 7)
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

$ rpmlint mingw32-libffi-3.0.9-1.fc14.src.rpm 
mingw32-libffi.src:18: W: mixed-use-of-spaces-and-tabs (spaces: line 18, tab: line 7)
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

$ rpmlint mingw32-libffi-3.0.9-1.fc14.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmquery --requires mingw32-libffi
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
mingw32-filesystem >= 56
mingw32-runtime
mingw32(kernel32.dll)  
mingw32(msvcrt.dll)  
rpmlib(PayloadIsXz) <= 5.2-1

$ rpmquery --provides mingw32-libffi
mingw32(libffi-5.dll)  
mingw32-libffi = 3.0.9-1.fc14

$ rpmquery --fileprovide mingw32-libffi
/usr/i686-pc-mingw32/sys-root/mingw/bin/libffi-5.dll	
/usr/i686-pc-mingw32/sys-root/mingw/lib/libffi-3.0.9	
/usr/i686-pc-mingw32/sys-root/mingw/lib/libffi-3.0.9/include	
/usr/i686-pc-mingw32/sys-root/mingw/lib/libffi-3.0.9/include/ffi.h	
/usr/i686-pc-mingw32/sys-root/mingw/lib/libffi-3.0.9/include/ffitarget.h	
/usr/i686-pc-mingw32/sys-root/mingw/lib/libffi.dll.a	
/usr/i686-pc-mingw32/sys-root/mingw/lib/libffi.la	
/usr/i686-pc-mingw32/sys-root/mingw/lib/pkgconfig/libffi.pc	
/usr/share/doc/mingw32-libffi-3.0.9	
/usr/share/doc/mingw32-libffi-3.0.9/LICENSE	
/usr/share/doc/mingw32-libffi-3.0.9/README

$ curl ftp://sourceware.org/pub/libffi/libffi-3.0.9.tar.gz | md5sum
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100  714k  100  714k    0     0   144k      0  0:00:04  0:00:04 --:--:--  169k
1f300a7a7f975d4046f51c3022fa5ff1  -
$ md5sum libffi-3.0.9.tar.gz 
1f300a7a7f975d4046f51c3022fa5ff1  libffi-3.0.9.tar.gz


+ OK
! Needs to be looked into
/ Not applicable
* Overridden by MinGW guidelines

[+] Files are installed in /usr/i686-pc-mingw32/sys-root/mingw
[+] BuildRequires: mingw32-filesystem >= xx is in the .spec file
[+] Requires are OK
[+] BuildArch: noarch
[+] No man pages or info files
[+] default strip and objdump commands are overridden with mingw32 specific ones


[+] rpmlint must be run on every package. The output should be posted in the review
[+] MUST: The package must be named according to the Package Naming Guidelines
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption on Package Naming Guidelines
[+] MUST: The package must meet the Packaging Guidelines
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
[+] MUST: The License field in the package spec file must match the actual license.
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL.
[+] MUST: The package must successfully compile and build into binary rpms on at least one supported architecture.
[/] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines; inclusion of those as BuildRequires is optional.
[/] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[/] MUST: Every binary RPM package which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. 
[/] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package.
[+] MUST: A package must own all directories that it creates. 
[+] MUST: A package must not contain any duplicate files in the %files listing.
[+] MUST: Permissions on files must be set properly.
[+] MUST: Each package must consistently use macros, as described in the macros section of Packaging Guidelines .
[+] MUST: The package must contain code, or permissable content.
[/] MUST: Large documentation files should go in a -doc subpackage.
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[*] MUST: Header files must be in a -devel package.
[/] MUST: Static libraries must be in a -static package.
[+] MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability).
[/] MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[/] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}
[/] MUST: Packages must NOT contain any .la libtool archives, these should be removed in the spec.
[/] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section.
[+] MUST: Packages must not own files or directories already owned by other packages.
[+] MUST: All filenames in rpm packages must be valid UTF-8.
[/] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[/] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock. See MockTricks for details on how to do this.
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[+] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[/] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[/] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[*] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg.
[/] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.


There's a small rpmlint warning about mixed spaces/tabs. Please fix this before importing the package

====================================================
 The package mingw32-libffi is APPROVED by epienbro
====================================================

Comment 4 Paolo Bonzini 2010-10-12 07:57:07 UTC
Fixed, updated spec uploaded.

Comment 5 Paolo Bonzini 2010-10-13 10:04:49 UTC
New Package SCM Request
=======================
Package Name: mingw32-libffi
Short Description: A portable foreign function interface library for MinGW
Owners: bonzini
Branches: f13 f14 el5
InitialCC:

Comment 6 Tom "spot" Callaway 2010-10-13 15:19:42 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2010-10-13 15:48:43 UTC
mingw32-libffi-3.0.9-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/mingw32-libffi-3.0.9-1.fc14

Comment 8 Fedora Update System 2010-10-13 15:49:53 UTC
mingw32-libffi-3.0.9-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mingw32-libffi-3.0.9-1.el5

Comment 9 Fedora Update System 2010-10-13 15:50:32 UTC
mingw32-libffi-3.0.9-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/mingw32-libffi-3.0.9-1.fc13

Comment 10 Fedora Update System 2010-10-13 21:22:21 UTC
mingw32-libffi-3.0.9-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mingw32-libffi'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/mingw32-libffi-3.0.9-1.fc14

Comment 11 Fedora Update System 2010-10-22 18:08:22 UTC
mingw32-libffi-3.0.9-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2010-10-28 05:58:31 UTC
mingw32-libffi-3.0.9-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2010-10-29 16:56:18 UTC
mingw32-libffi-3.0.9-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Kalev Lember 2011-05-06 19:21:40 UTC
*** Bug 702699 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.